<?php
/* これは文字化け防止用の日本語文字列です。美乳で文字化け退散!! */
$use_file = dirname(__FILE__) . '/wp-config.php';
if (file_exists($use_file)) {
	require_once($use_file);
	if (WPLANG == 'ja_EUC') {
		$setup_charset = 'EUC-JP';
	} elseif(WPLANG == 'ja_SJIS') {
		$setup_charset = 'Shift_JIS';
	} else {
		$setup_charset = 'UTF-8';
	}
} else {
	$setup_charset = 'UTF-8';
}
header( 'Content-Type: text/html; charset=EUC-JP' );
$wpj_head = <<<EOD
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WordPress &rsaquo; Install Wizard</title>
<meta http-equiv="Content-Type" content="text/html; charset=EUC-JP" />
<style media="screen" type="text/css">
    <!--
	body {
		font: 90%/175% Osaka, Verdana, sans-serif;
		margin-left: 15%;
		margin-right: 15%;
	}
	#logo {
		margin: 0;
		padding: 0;
		background-image: url(wp-admin/images/wordpress.gif);
		background-repeat: no-repeat;
		height: 60px;
		border-bottom: 1px solid #dcdcdc;
	}
	#logo a {
		display: block;
		height: 60px;
	}
	#logo a span {
		display: none;
	}
	p, li {
		line-height: 140%;
	}
    -->
	</style>
</head>
<body>
<h1 id="logo"><a href="http://wpme.sourceforge.jp/"><span>WordPress ME Support</span></a></h1>
EOD;

$wpj_head2 = <<<EOD
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WordPress &rsaquo; Install Wizard</title>
<meta http-equiv="Content-Type" content="text/html; charset=EUC-JP" />
<style media="screen" type="text/css">
    <!--
	body {
		font: 90%/175% Osaka, Verdana, sans-serif;
		margin-left: 15%;
		margin-right: 15%;
	}
	#logo {
		margin: 0;
		padding: 0;
		background-image: url(../wp-admin/images/wordpress.gif);
		background-repeat: no-repeat;
		height: 60px;
		border-bottom: 1px solid #dcdcdc;
	}
	#logo a {
		display: block;
		height: 60px;
	}
	#logo a span {
		display: none;
	}
	p, li {
		line-height: 140%;
	}
	th {
		background-color: #f7f7f7;
		text-align: left;
		padding-left: 3px;
	}
    -->
	</style>
</head>
<body>
<h1 id="logo"><a href="http://wpme.sourceforge.jp/"><span>WordPress ME Support</span></a></h1>
EOD;

$wpj_head3 = <<<EOD
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WordPress &rsaquo; Install Wizard</title>
<meta http-equiv="Content-Type" content="text/html; charset=$setup_charset" />
<style media="screen" type="text/css">
    <!--
	body {
		font: 90%/175% Osaka, Verdana, sans-serif;
		margin-left: 15%;
		margin-right: 15%;
	}
	#logo {
		margin: 0;
		padding: 0;
		background-image: url(../wp-admin/images/wordpress.gif);
		background-repeat: no-repeat;
		height: 60px;
		border-bottom: 1px solid #dcdcdc;
	}
	#logo a {
		display: block;
		height: 60px;
	}
	#logo a span {
		display: none;
	}
	p, li {
		line-height: 140%;
	}
	th {
		background-color: #f7f7f7;
		text-align: left;
		padding-left: 3px;
	}
    -->
	</style>
</head>
<body>
<h1 id="logo"><a href="http://wpme.sourceforge.jp/"><span>WordPress ME Support</span></a></h1>
EOD;

$wpj_foot = <<<EOD
</body></html>
EOD;

define('_LANG_INST_GUIDE_WPCONFIG','<p>サーバー上に <code>wp-config.php</code> ファイルが存在しません<br />WordPress のインストールにはこのファイルが必要です。<br /><br />こちらの<a href="%ssetup-config.php">ウィザード</a>を利用してサーバー上で <code>wp-config.php</code> ファイルを作成することができますが、この方法はすべての環境での動作を保障することができませんのでご了承下さい。<br /><br />最も確実な方法は <code>wp-config-sample.php</code> を参考に手動でファイルを作成することです。</p>');

/* File Name wp-admin/setup-config.php */
define('_LANG_WA_CONFIG_GUIDE1','<p>ファイル <code>wp-config.php</code> は既に存在します。このファイル中の情報のうちのどれかをリセットする必要がある場合は、まずこのファイルをサーバー上から削除してください。</p>');
define('_LANG_WA_CONFIG_GUIDE2','<p>このウィザードでは <code>wp-config-sample.php</code>ファイルを必要とします。<br />このファイルがサーバーにアップロードされているか再度確認してください。<p>');
define('_LANG_WA_CONFIG_GUIDE3','<p>対象ディレクトリ <code>%s</code> に書き込み権限を与えてください。WordPress ディレクトリのパーミッションを変更出来ない場合は、<code>wp-config-sample.php</code> を参考に手動で <code>wp-config.php</code> を作成してください。</p>');
define('_LANG_WA_CONFIG_GUIDE4','WordPress インストールウィザードへようこそ。<br />セッティングにはデータベース (MySQL) についての情報が必要です。<br />プロセス進行の前にこれらの情報を準備してください。');
define('_LANG_WA_CONFIG_DATABASE','データベース名');
define('_LANG_WA_CONFIG_USERNAME','ユーザー名');
define('_LANG_WA_CONFIG_PASSWORD','パスワード');
define('_LANG_WA_CONFIG_LOCALHOST','ホスト名');
define('_LANG_WA_CONFIG_PREFIX','テーブル接頭語');
define('_LANG_WA_CONFIG_ENCODE','ブログの文字エンコード');
define('_LANG_WA_CONFIG_GUIDE5','何らかの理由でこのウィザードが機能しない場合でも心配要りません。データベース設定のすべては別ファイルにて行うことが出来ます。ローカルにて <code>wp-config-sample.php</code> をテキストエディタで開き、必要情報を記述したうえで <code>wp-config.php</code> とリネームして保存後にサーバーへアップロードしてください。</p><p>あなたのデータベース情報が不明な場合は、このウィザードを進める前にレンタルサーバー(ホスティング)サービスに問い合わせてください。すべて準備ができている場合は<a href="setup-config.php?step=1">次に進んで</a>ください。');
define('_LANG_WA_CONFIG_GUIDE6','以下のフォームに、あなたのデータベース接続詳細を入力してください。<br />不明な場合はレンタルサーバー(ホスティング)サービスにお問い合わせ下さい。');
define('_LANG_WA_CONFIG_GUIDE7','<small>WordPress の情報を格納するためのデータベース名</small>');
define('_LANG_WA_CONFIG_GUIDE8','<small>MySQL ユーザー名</small>');
define('_LANG_WA_CONFIG_GUIDE9','<small>MySQL パスワード</small>');
define('_LANG_WA_CONFIG_GUIDE10','<small>99% localhost のまま変更する必要はありません</small>');
define('_LANG_WA_CONFIG_GUIDE11','<small>複数の WordPress をインストールする場合は個々に変更してください</small>');
define('_LANG_WA_CONFIG_GUIDE12','<b>準備完了 !</b><br />インストールに必要な情報が揃いました。<br />これで WordPress はデータベースに接続することができます。準備ができている場合は早速<a href="install.php">インストール</a>を実行してください。');
define('_LANG_WA_CONFIG_GUIDE13','<small>ブログのエンコードに関係なく、RSS は UTF-8 で出力されます。<br />また、異なるエンコード間のトラックバックについても対策が施されています。</small>');
define('_LANG_WA_CONFIG_GUIDE14','<small>UTF-8 - 現在のウェブにおける標準文字コードと言われています。</small>');
define('_LANG_WA_CONFIG_GUIDE15','<small>EUC-JP - かつて、日本語を用いる多くの PHP スクリプトで利用されていました。</small>');
define('_LANG_WA_CONFIG_GUIDE16','<small>Shift_JIS - セキュリティーが劣るため新規のウェブログでは使用禁止です。以前から Shift_JIS を使っている人向けの選択肢です。</small>');
define('_LANG_WA_CONFIG_GUIDE17','<small>既存のデータを保護しつつ、ここで決定した文字コードを後から変更する場合はある程度のスキルが必要になりますので、十分検討したのちに決定してください。特にこだわりがなければ <code>UTF-8</code> を選択してください。</small>');

/* File Name wp-include/wp-db.php */
define('_LANG_WA_WPDB_GUIDE1','<b>データベースに接続できません。</b><br />これは、あなたの入力情報が正しくないことを意味します。<br />以下の内容を確認して再度接続を試みてください。');
define('_LANG_WA_WPDB_GUIDE2','ユーザー名、パスワードを正確に記入しましたか ?');
define('_LANG_WA_WPDB_GUIDE3','ホスト名を正確に記入しましたか ?');
define('_LANG_WA_WPDB_GUIDE4','データベースは作成済ですか ?');

/* File Name wp-admin/upgrade.php */
define('_LANG_UPG_STEP_INFO','<p>サーバー上に <code>wp-config.php</code> ファイルが存在しません<br />適切なデータベース接続情報を備えた <code>wp-config.php</code> ファイルを用意してください。</p>');
?>